"We're sorry, but something went wrong"

can anyone help with this???

/!\ FAILSAFE /!\ Thu Apr 08 16:58:27 -0700 2010
  Status: 500 Internal Server Error
  unknown error
    C:/Ruby/lib/ruby/1.8/dl/import.rb:29:in `initialize'
    C:/Ruby/lib/ruby/1.8/dl/import.rb:29:in `dlopen'
    C:/Ruby/lib/ruby/1.8/dl/import.rb:29:in `dlload'
    C:/Ruby/lib/ruby/1.8/dl/import.rb:27:in `each'
    C:/Ruby/lib/ruby/1.8/dl/import.rb:27:in `dlload'
    C:/Ruby/lib/ruby/gems/1.8/gems/sqlite3-ruby-1.2.5-x86-mswin32/lib/
sqlite3/driver/dl/api.rb:31
    C:/Ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in
`gem_original_require'
    C:/Ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in
`require'
    C:/Ruby/lib/ruby/gems/1.8/gems/activesupport-2.3.5/lib/
active_support/dependencies.rb:156:in `require'
    C:/Ruby/lib/ruby/gems/1.8/gems/activesupport-2.3.5/lib/
active_support/dependencies.rb:521:in `new_constants_in'
    C:/Ruby/lib/ruby/gems/1.8/gems/activesupport-2.3.5/lib/
active_support/dependencies.rb:156:in `require'
    C:/Ruby/lib/ruby/gems/1.8/gems/sqlite3-ruby-1.2.5-x86-mswin32/lib/
sqlite3/driver/dl/driver.rb:1
    C:/Ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in
`gem_original_require'
    C:/Ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in
`require'
    C:/Ruby/lib/ruby/gems/1.8/gems/activesupport-2.3.5/lib/
active_support/dependencies.rb:156:in `require'
    C:/Ruby/lib/ruby/gems/1.8/gems/activesupport-2.3.5/lib/
active_support/dependencies.rb:521:in `new_constants_in'
    C:/Ruby/lib/ruby/gems/1.8/gems/activesupport-2.3.5/lib/
active_support/dependencies.rb:156:in `require'
    C:/Ruby/lib/ruby/gems/1.8/gems/sqlite3-ruby-1.2.5-x86-mswin32/lib/
sqlite3/database.rb:619:in `load_driver'
    C:/Ruby/lib/ruby/gems/1.8/gems/sqlite3-ruby-1.2.5-x86-mswin32/lib/
sqlite3/database.rb:617:in `each'
    C:/Ruby/lib/ruby/gems/1.8/gems/sqlite3-ruby-1.2.5-x86-mswin32/lib/
sqlite3/database.rb:617:in `load_driver'
    C:/Ruby/lib/ruby/gems/1.8/gems/sqlite3-ruby-1.2.5-x86-mswin32/lib/
sqlite3/database.rb:72:in `initialize'
    C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/
active_record/connection_adapters/sqlite3_adapter.rb:13:in `new'
    C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/
active_record/connection_adapters/sqlite3_adapter.rb:13:in
`sqlite3_connection'
    C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/
active_record/connection_adapters/abstract/connection_pool.rb:223:in
`send'
    C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/
active_record/connection_adapters/abstract/connection_pool.rb:223:in
`new_connection'
    C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/
active_record/connection_adapters/abstract/connection_pool.rb:245:in
`checkout_new_connection'
    C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/
active_record/connection_adapters/abstract/connection_pool.rb:188:in
`checkout'
    C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/
active_record/connection_adapters/abstract/connection_pool.rb:184:in
`loop'
    C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/
active_record/connection_adapters/abstract/connection_pool.rb:184:in
`checkout'
    C:/Ruby/lib/ruby/1.8/monitor.rb:242:in `synchronize'
    C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/
active_record/connection_adapters/abstract/connection_pool.rb:183:in
`checkout'
    C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/
active_record/connection_adapters/abstract/connection_pool.rb:98:in
`connection'
    C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/
active_record/connection_adapters/abstract/connection_pool.rb:326:in
`retrieve_connection'
    C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/
active_record/connection_adapters/abstract/connection_specification.rb:
123:in `retrieve_connection'
    C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/
active_record/connection_adapters/abstract/connection_specification.rb:
115:in `connection'
    C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/
active_record/query_cache.rb:9:in `cache'
    C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/
active_record/query_cache.rb:28:in `call'
    C:/Ruby/lib/ruby/gems/1.8/gems/activerecord-2.3.5/lib/
active_record/connection_adapters/abstract/connection_pool.rb:361:in
`call'
    C:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.3.5/lib/
action_controller/string_coercion.rb:25:in `call'
    C:/Ruby/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/head.rb:9:in
`call'
    C:/Ruby/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/
methodoverride.rb:24:in `call'
    C:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.3.5/lib/
action_controller/params_parser.rb:15:in `call'
    C:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.3.5/lib/
action_controller/session/cookie_store.rb:93:in `call'
    C:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.3.5/lib/
action_controller/failsafe.rb:26:in `call'
    C:/Ruby/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/lock.rb:11:in
`call'
    C:/Ruby/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/lock.rb:11:in
`synchronize'
    C:/Ruby/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/lock.rb:11:in
`call'
    C:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.3.5/lib/
action_controller/dispatcher.rb:114:in `call'
    C:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.3.5/lib/
action_controller/reloader.rb:34:in `run'
    C:/Ruby/lib/ruby/gems/1.8/gems/actionpack-2.3.5/lib/
action_controller/dispatcher.rb:108:in `call'
    C:/Ruby/lib/ruby/gems/1.8/gems/rails-2.3.5/lib/rails/rack/
static.rb:31:in `call'
    C:/Ruby/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/urlmap.rb:46:in
`call'
    C:/Ruby/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/urlmap.rb:40:in
`each'
    C:/Ruby/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/urlmap.rb:40:in
`call'
    C:/Ruby/lib/ruby/gems/1.8/gems/rails-2.3.5/lib/rails/rack/
log_tailer.rb:17:in `call'
    C:/Ruby/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/
content_length.rb:13:in `call'
    C:/Ruby/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/chunked.rb:
15:in `call'
    C:/Ruby/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/handler/
mongrel.rb:64:in `process'
    C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin32-60/lib/
mongrel.rb:159:in `process_client'
    C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin32-60/lib/
mongrel.rb:158:in `each'
    C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin32-60/lib/
mongrel.rb:158:in `process_client'
    C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin32-60/lib/
mongrel.rb:285:in `run'
    C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin32-60/lib/
mongrel.rb:285:in `initialize'
    C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin32-60/lib/
mongrel.rb:285:in `new'
    C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin32-60/lib/
mongrel.rb:285:in `run'
    C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin32-60/lib/
mongrel.rb:268:in `initialize'
    C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin32-60/lib/
mongrel.rb:268:in `new'
    C:/Ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin32-60/lib/
mongrel.rb:268:in `run'
    C:/Ruby/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/handler/
mongrel.rb:34:in `run'
    C:/Ruby/lib/ruby/gems/1.8/gems/rails-2.3.5/lib/commands/server.rb:
111
    C:/Ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in
`gem_original_require'
    C:/Ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in
`require'
    C:/Users/Kameron/Documents/Homework/Rails/example/script/server:3
    -e:1:in `load'
    -e:1

check your database.yml, whether the mentioned database name is correct
or not..

Hi

Looks like you are using sqlite as thr database. so make sure you
installed the sqlite gem

sqlite3-ruby (1.2.5)

you can check this from the command
'gem list' in the command prompt

if not install it using the following command,

gem install sqlite3-ruby

cheers,

sameera

check your database.yml as well Yours DBMS Table Schema and if possible make yours app carefully Again if its not too Large .